# coding:utf-8
from enum import Enum

from PySide6.QtGui import QIcon
from qfluentwidgets import Theme, FluentIconBase
from .._rc import resources


class WinFluentIcon(FluentIconBase, Enum):
    """ Custom Windows Style Icon """

    CALC = "Calc"
    CHAT = "Chat"
    DOWN = "Down"
    HOME = "Home"
    LEFT = "Left"
    LIKE = "Like"
    LINK = "Link"
    MENU = "Menu"
    NEWS = "News"
    PLAY = "Play"
    SEND = "Send"
    SAVE = "Save"
    WIFI = "Wifi"
    TOOL = "Tool"
    INFO = "Info"
    HELP = "Help"
    MORE = "More"
    SIGN = "Sign"
    MUSIC = "Music"
    PAINT = "Paint"
    DOUBT = "Doubt"
    CLOUD = "Cloud"
    CHECK = "Check"
    RIGHT = "Right"
    ROUND = "Round"
    FOLDER = "Folder"
    FINISH = "Finish"
    RETURN = "Return"
    ATTACH = "Attach"
    XIAN_JI = "XianJi"
    XIN_HAO = "XinHao"
    RE_BOOT = "ReBoot"
    SORT_UP = "SortUp"
    DROP_UP = "DropUp"
    MESSAGE = "Message"
    FORWARD = "Forward"
    WEATHER = "Weather"
    ADDRESS = "Address"
    WARNING = "Warning"
    SETTING = "Setting"
    COMMENT = "Comment"
    CONTACT = "Contact"
    NOTEPAD = "Notepad"
    MAN_USER = "ManUser"
    SHI_ZHON = "ShiZhon"
    ADD_CHAT = "AddChat"
    GO_AHEAD = "GoAhead"
    ADD_LINK = "AddLink"
    CALENDAR = "Calendar"
    EXPLORER = "Explorer"
    TERMINAL = "Terminal"
    DATA_BASE = "DataBase"
    SUN_CLOUD = "SunCloud"
    EDIT_FILE = "EditFile"
    ADD_EMAIL = "AddEmail"
    MSF_STORE = "MSFStore"
    SORT_LEFT = "SortLeft"
    DROP_DOWN = "DropDown"
    DROP_LEFT = "DropLeft"
    SORT_DOWN = "SortDown"
    MICROSOFT = "Microsoft"
    WIN_11_LOG = "Win11Log"
    IMAGE_FILE = "ImageFile"
    SORT_RIGHT = "SortRight"
    ZIP_FOLDER = "ZipFolder"
    DROP_RIGHT = "DropRight"
    DEL_FOLDER = "DelFolder"
    ADD_FOLDER = "AddFolder"
    ERROR_LINK = "ErrorLink"
    NO_NETWORK = "NoNetwork"
    QUICK_SHARK = "QuickShark"
    FEMAIL_USER = "FemailUser"
    GAME_FOLDER = "GameFolder"
    RECYCLE_BIN = "RecycleBin"
    CODE_FOLDER = "CodeFolder"
    SEARCH_CHAT = "SearchChat"
    SEARCH_MORE = "SearchMore"
    MUSIC_FOLDER = "MusicFolder"
    CHAT_MESSAGE = "ChatMessage"
    CLOUD_FOLDER = "CloudFolder"
    CHAT_BUBBLES = "ChatBubbles"
    VIDEO_FOLDER = "VideoFolder"
    RIGHT_SING_IN = "RightSingIn"
    ROTATION_LEFT = "RotationLeft"
    EDIT_CALENDAR = "EditCalendar"
    EMAILO_MESSAGE = "EmailMessage"
    MOVE_TO_FOLDER = "MoveToFolder"
    COPY_TO_FOLDER = "CopyToFolder"
    ROTATION_RIGHT = "RotationRight"
    DOWNLOAD_CLOUD = "DownloadCloud"
    PICTURE_FOLDER = "PictureFolder"
    DOWNLOAD_FOLDER = "DownloadFolder"
    DOCUMENT_FOLDER = "DocumentFolder"
    RADIUS_WIN_11_LOG = "RadiusWin11Log"
    ADD_EMAIL_MESSAGE = "AddEmailMessage"
    DOWNLOAD_FROM_THE_CLOUD = "DownloadFromTheCloud"

    def path(self, theme=Theme.AUTO):
        return fr":\images\icons\{self.value}.svg"


class Icon(QIcon):

    def __init__(self, fluentIcon: WinFluentIcon | FluentIconBase):
        super().__init__(fluentIcon.path())
        self.fluentIcon = fluentIcon